<ion-header>
  <ion-toolbar>
    <ion-title size="small" class="ion-text-center">
      <img alt="logo" height="40"   src="assets/brand.png" ><br>
      An EasyLab mobile app
    </ion-title>       
  </ion-toolbar>
</ion-header>
<ion-content>
  <div id="container">
    <ion-list class="ios list-ios hydrated bg-transparent">
      <ion-list-header class="ios hydrated bg-red">
        <h1>{{ platformname }} client: Bases<br><small>{{ bases.length }} items</small></h1>
      </ion-list-header>
      
      <ion-item *ngFor="let base of bases; let i = index" class="item-label item ios in-list ion-focusable hydrated">
        <ion-avatar slot="start" class="sc-ion-label-ios-h sc-ion-label-ios-s ios hydrated"> 
          <img src="{{ base.preview }}" width="30px"/>
        </ion-avatar> 
        <ion-label class="sc-ion-label-ios-h sc-ion-label-ios-s ios hydrated">
          {{base.type}} <br><small><b>Preview: </b>{{ base.preview }}</small>
          <br><small><b>Public id: </b>{{ base.public_id }}</small>
        </ion-label>  
        <div class="item-note" item-end>
          <button ion-button clear [routerLink]="['/bases/', base.public_id, 'edit']">
            <ion-icon name="create" style="zoom:2.0"></ion-icon>
          </button>
          <button ion-button clear (click)="deleteBase(base, i)">
            <ion-icon name="trash" style="zoom:2.0"></ion-icon>
          </button>
        </div>
      </ion-item>
    </ion-list>
  
  
    <!-- fab placed to the bottom start -->
    <ion-fab vertical="bottom" horizontal="end" slot="fixed" routerLink="/bases/create">
      <ion-fab-button>
        <ion-icon name="add"></ion-icon>
      </ion-fab-button>
    </ion-fab>
  </div>
</ion-content>
